Bug Hunting Session
Bug 48874 - remove html export dialog artwork
Summary: remove html export dialog artwork
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Rob Snelders
URL:
Whiteboard: target:3.7.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2012-04-18 06:40 UTC by Michael Meeks
Modified: 2015-12-15 23:50 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Patch to remove most of the images in html-export-dialog (119.18 KB, patch)
2012-06-09 05:11 UTC, Rob Snelders
Details
patch to remove the artwork of the header (122.00 KB, patch)
2012-06-10 02:56 UTC, Rob Snelders
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2012-04-18 06:40:48 UTC
The seldom used 'impress' HTML export wizard contains a set of large, not particularly attractive images that it would be good to get rid of.

These are: icon-themes/galaxy/sd/res/pubdlg*.png a quick:

git grep '"pubdlg'

shows their call site. The .src entry would need removing, and the rest of the widgets Y position shifting upwards to fill the gap; and of course the code that instantiates each of those FixedBitmaps would need removing too (checkout the PAGE1_BMP style defines which should go too).

Thanks ! :-)
Comment 1 Florian Reisinger 2012-05-18 09:30:38 UTC
Deleted "Easyhack" from summary.
Comment 2 Rob Snelders 2012-06-09 05:11:36 UTC
Created attachment 62846 [details]
Patch to remove most of the images in html-export-dialog
Comment 3 Rob Snelders 2012-06-10 02:56:08 UTC
Created attachment 62855 [details]
patch to remove the artwork of the header
Comment 4 Not Assigned 2012-06-15 06:09:57 UTC
Rob Snelders committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7262f4472341cdcb85de414453b67ab0e853627

fdo#48874 - remove html export dialog artwork
Comment 5 Robinson Tryon (qubit) 2015-12-15 23:50:45 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup)
[NinjaEdit]